## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate icu_normalizer

Name:           rust-icu_normalizer
Version:        2.0.0
Release:        %autorelease
Summary:        API for normalizing text into Unicode Normalization Forms

License:        Unicode-3.0
URL:            https://crates.io/crates/icu_normalizer
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * Omit the benchmark-only dev-dependency on criterion
# * Do not package benchmarks or benchmark data
# * Remove the dev-dependency on arraystring, which does not appear actively
#   maintained, and which we do not want to package, at the cost of some of the
#   tests.
Patch:          icu_normalizer-fix-metadata.diff
# * Downstream-only: unconditionally skip compiling tests that would require the
#   arraystring crate. It does not appear actively maintained, and we do not
#   wish to package it solely for these tests.
Patch10:        icu_normalizer-2.0.0-no-arraystring-tests.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
API for normalizing text into Unicode Normalization Forms.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+compiled_data-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+compiled_data-devel %{_description}

This package contains library source intended for building other packages which
use the "compiled_data" feature of the "%{crate}" crate.

%files       -n %{name}+compiled_data-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+datagen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+datagen-devel %{_description}

This package contains library source intended for building other packages which
use the "datagen" feature of the "%{crate}" crate.

%files       -n %{name}+datagen-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+experimental-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+experimental-devel %{_description}

This package contains library source intended for building other packages which
use the "experimental" feature of the "%{crate}" crate.

%files       -n %{name}+experimental-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+icu_properties-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+icu_properties-devel %{_description}

This package contains library source intended for building other packages which
use the "icu_properties" feature of the "%{crate}" crate.

%files       -n %{name}+icu_properties-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+utf16_iter-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+utf16_iter-devel %{_description}

This package contains library source intended for building other packages which
use the "utf16_iter" feature of the "%{crate}" crate.

%files       -n %{name}+utf16_iter-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+utf8_iter-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+utf8_iter-devel %{_description}

This package contains library source intended for building other packages which
use the "utf8_iter" feature of the "%{crate}" crate.

%files       -n %{name}+utf8_iter-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+write16-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+write16-devel %{_description}

This package contains library source intended for building other packages which
use the "write16" feature of the "%{crate}" crate.

%files       -n %{name}+write16-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -f icu_properties

%build
%cargo_build -f icu_properties

%install
%cargo_install -f icu_properties

%if %{with check}
%check
# * All doc tests use icu::normalizer, which would require the circular
#   (path-based) dev-dependency on the icu crate.
%cargo_test -f icu_properties -- --lib
%cargo_test -f icu_properties -- --tests
%endif

%changelog
## START: Generated by rpmautospec
* Mon Jul 14 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.0-1
- Update to version 2.0.0; Fixes RHBZ#2364940

* Mon May 12 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.0-3
- Remove no-longer-needed .rpmlintrc file

* Thu Apr 10 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.0-2
- Do not package benchmarks or benchmark data

* Thu Apr 10 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.5.0-1
- Initial package (close RHBZ#2358606)
## END: Generated by rpmautospec
